Package org.apache.cayenne.exp.property

# Class EmbeddableProperty<E>

java.lang.Object
org.apache.cayenne.exp.property.BaseProperty<E>
org.apache.cayenne.exp.property.EmbeddableProperty<E>

All Implemented Interfaces:
  `PathProperty<E>`, `Property<E>`

public class EmbeddableProperty<E> extends BaseProperty<E> implements PathProperty<E>
Property that represents object attribute mapped on `Embeddable` object.

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.exp.property.BaseProperty

  `expressionSupplier, name, type`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmbeddableProperty(String name, Expression exp, Class<? super E> type)`
  Constructs a new property with the given name and type

- ## Method Summary

  ### Methods inherited from class org.apache.cayenne.exp.property.BaseProperty

  `alias, asc, ascInsensitive, ascInsensitives, ascs, count, countDistinct, desc, descInsensitive, descInsensitives, descs, enclosing, eq, eq, equals, function, function, getAlias, getExpression, getFrom, getFromAll, getName, getType, hashCode, in, in, in, isFalse, isNotNull, isNull, isTrue, ne, ne, nin, nin, nin, operator, operator, path, setIn, setInAll`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cayenne.exp.property.PathProperty

  `dot, dot, dot, dot, dot`

  ### Methods inherited from interface org.apache.cayenne.exp.property.Property

  `getAlias, getExpression, getName, getType`

- ## Constructor Details

  - ### EmbeddableProperty

    protected EmbeddableProperty(String name, Expression exp, Class<? super E> type)
    Constructs a new property with the given name and type
    Parameters:
      `name` - of the property (will be used as alias for the expression)
      `type` - of the property
    See Also:
      - `PropertyFactory.createEmbeddable(String, Class)`